Package org.apache.solr.client.solrj.response

# Class CollectionAdminResponse

java.lang.Object
org.apache.solr.client.solrj.SolrResponse
org.apache.solr.client.solrj.response.SolrResponseBase
org.apache.solr.client.solrj.response.CollectionAdminResponse

All Implemented Interfaces:
  `Serializable`, `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

Direct Known Subclasses:
  `CollectionAdminRequest.RequestApiDistributedProcessingResponse`, `CollectionAdminRequest.RequestStatusResponse`

public class CollectionAdminResponse extends SolrResponseBase

See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`CollectionAdminResponse()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`getAliases()`
`Map<String,List<String>>`
`getAliasesAsLists()`
`Map<String,Map<String,String>>`
`getAliasProperties()`
`Map<String,NamedList<Integer>>`
`getCollectionCoresStatus()`
`Map<String,NamedList<Integer>>`
`getCollectionNodesStatus()`
`NamedList<NamedList<Object>>`
`getCollectionStatus()`
`NamedList<String>`
`getErrorMessages()`
`String`
`getWarning()`
`boolean`
`isSuccess()`

### Methods inherited from class org.apache.solr.client.solrj.response.SolrResponseBase

`getElapsedTime, getQTime, getRequestUrl, getResponse, getResponseHeader, getStatus, setElapsedTime, setRequestUrl, setResponse, toString, writeMap`

### Methods inherited from class org.apache.solr.client.solrj.SolrResponse

`getException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Constructor Details

### CollectionAdminResponse

public CollectionAdminResponse()

## Method Details

### getCollectionStatus

public NamedList<NamedList<Object>> getCollectionStatus()

### isSuccess

public boolean isSuccess()

### getWarning

public String getWarning()

### getErrorMessages

public NamedList<String> getErrorMessages()

### getCollectionCoresStatus

public Map<String,NamedList<Integer>> getCollectionCoresStatus()

### getAliases

public Map<String,String> getAliases()

### getAliasesAsLists

public Map<String,List<String>> getAliasesAsLists()

### getAliasProperties

public Map<String,Map<String,String>> getAliasProperties()

### getCollectionNodesStatus

public Map<String,NamedList<Integer>> getCollectionNodesStatus()